# IMFExListPart Struct Reference
[MCFrame]

Inheritance diagram for IMFExListPart:

List of all members.

## Public Member Functions
virtual void MCCOMAPI | SelfDrawCell (IMCGraphicContext *graphicContext, const TMCRect &cellRect, int32 inCell, boolean isSelected)=0
virtual void MCCOMAPI | SelfHiliteCell (IMCGraphicContext *context, const TMCRect &cellRect, int32 inCell, boolean isSelected)=0
virtual boolean MCCOMAPI | SelfClick (const TMCPoint &mouse, int32 hitCell)=0
virtual void MCCOMAPI | SelfDoubleClick (const TMCPoint &mouse, int32 hitCell)=0
virtual void MCCOMAPI | SelfDragDrop (const TMCRect &cellRect, int32 hitCell, const TMCPoint &m2)=0
virtual void MCCOMAPI | SelfDragCell (int32 fromCell, int32 toCell)=0
virtual int32 MCCOMAPI | GetMinimumWidth ()=0

## Detailed Description

This is the interface for a list part.

## Member Function Documentation

virtual int32 MCCOMAPI IMFExListPart::GetMinimumWidth | ( |  | ) | `[pure virtual]`

Implemented in TBasicListPart.

virtual boolean MCCOMAPI IMFExListPart::SelfClick | ( | const TMCPoint & | mouse,
|  | int32 | hitCell |
| ) |  |  | `[pure virtual]`

Implemented in TBasicListPart.

virtual void MCCOMAPI IMFExListPart::SelfDoubleClick | ( | const TMCPoint & | mouse,
|  | int32 | hitCell |
| ) |  |  | `[pure virtual]`

Implemented in TBasicListPart.

virtual void MCCOMAPI IMFExListPart::SelfDragCell | ( | int32 | fromCell,
|  | int32 | toCell |
| ) |  |  | `[pure virtual]`

Implemented in TBasicListPart.

virtual void MCCOMAPI IMFExListPart::SelfDragDrop | ( | const TMCRect & | cellRect,
|  | int32 | hitCell,
|  | const TMCPoint & | m2 |
| ) |  |  | `[pure virtual]`

Implemented in TBasicListPart.

virtual void MCCOMAPI IMFExListPart::SelfDrawCell | ( | IMCGraphicContext * | graphicContext,
|  | const TMCRect & | cellRect,
|  | int32 | inCell,
|  | boolean | isSelected |
| ) |  |  | `[pure virtual]`

Implemented in TBasicListPart.

virtual void MCCOMAPI IMFExListPart::SelfHiliteCell | ( | IMCGraphicContext * | context,
|  | const TMCRect & | cellRect,
|  | int32 | inCell,
|  | boolean | isSelected |
| ) |  |  | `[pure virtual]`

Implemented in TBasicListPart.

The documentation for this struct was generated from the following file:

- IMFExListPart.h